/* 
Theme Name: WAHA THEME (Hello Elementor Child)
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/


/* overflow hidden full page */
.page-content{
	overflow:hidden;
}

/* buttons icon align */
.elementor-button .elementor-align-icon-left{
	    align-items: center;
		display:flex;
}
.elementor-button span{
	text-align:left;
}

/* SECTION paddings */
.section-width{
	padding-right: 5%;
    padding-left: 5%;
}

/* LIST ITEMS TOP */
.elementor-widget .elementor-icon-list-item,
.elementor-widget .elementor-icon-list-item a {
    align-items: start !important;
}

.elementor-icon-list-icon{
	padding: 10px 0px 0 0 !important;
}


/* PROJECT SLIDER */
#project-slider .swiper-slide{
    min-height:60vh;
}

#project-slider .swiper-slide-inner::before{
	content:'';
	display:block;
	background: rgb(46,76,87);
	background: linear-gradient(0deg, rgba(46,76,87,1) 10%, rgba(0,212,255,0) 100%);
	position:absolute;
	top:auto;
	right:0;
	left:0;
	bottom:0;
	height: 50%;
    opacity: 0.8;
	z-index:0;
}

#project-slider .swiper-slide-contents{
	z-index:10 !important;
}

#project-slider .elementor-swiper-button-prev{
	top:auto;
	bottom:30px;
	left: auto;
    right: 95px;
}

#project-slider .elementor-swiper-button-next{
	top:auto;
	bottom:30px;
	right:45px;
}


#project-slider .elementor-button{
    color:var(--e-global-color-accent );
	padding: 20px 0px;
}
#project-slider .elementor-button.elementor-slide-button::before {
    content: "\f061";
    font-family: "Font Awesome 5 Free";
    margin-right: 20px;
    color:var(--e-global-color-accent );
}

#project-slider .elementor-slides .swiper-slide-inner{
	padding:50px 50px 30px 50px;
}


/* CTA 3D Rundgänge */

.waha-cta-box .elementor-cta__content{
	padding:20px 50px !important;
}

.waha-cta-box .elementor-cta__title{
	order:1;
	text-align:left;
}

.waha-cta-box .elementor-cta__icon{
	order:2;
	display:inline-block;
	width:auto;
	margin:0 10px 0 5px !important;
}

.waha-cta-box .elementor-cta__button-wrapper{
	order:3;
	display:inline-block;
	width:auto;
}

.waha-cta-box .elementor-cta__button{
	padding:0;
}



/* IPAD OVERLAY */

.ipad-overlay .elementor-custom-embed-image-overlay::after{
	content:'';
	display:block;
	width:100%;
	position:absolute;
	top:0;
	bottom:0;
	background:url("https://dev.andreas-stricker.at/waha/wp-content/uploads/2023/03/ipad_overlay.png") transparent center center;
	background-size:contain;
	background-repeat:no-repeat;
}

.ipad-overlay img{
	padding: 35px 15px;
    min-height: 360px;
    object-fit: cover;
}


/* BLOG LOOP */

.blog-loop-container img{
    transform: scale(1);
    transition:all 500ms cubic-bezier(0.180, 0.080, 0.000, 0.995);
}

.blog-loop-container:hover img{
    transform: scale(1.1);
}


/* FERTIGSTUFEN TOGGLE CONTENT DETAILS */

.fertigstufen-togglecontent.fertigstufe1 h6{
	color:var(--e-global-color-d5d6da9 );
}
.fertigstufen-togglecontent.fertigstufe2 h6{
	color:var(--e-global-color-3b7e611 );
}
.fertigstufen-togglecontent.fertigstufe3 h6{
	color:var(--e-global-color-f02bd9d );
}
.fertigstufen-togglecontent.fertigstufe4 h6{
	color:var(--e-global-color-329b4ff );
}


.fertigstufen-togglecontent h6{
	font-size:14px;
	text-transform:uppercase;
	font-weight:bold;
	margin-bottom:5px;
	letter-spacing:1px;
}
.fertigstufen-togglecontent p{
	margin-bottom:25px;
}

/* KUNDENSTIMMEN */

.box-kundenstimme .elementor-widget-container{
    display: -webkit-box;
	line-clamp:6;
  -webkit-line-clamp: 6;
  -webkit-box-orient: vertical;  
  overflow: hidden;
	max-height: 11.5rem;
}

/* TEAM */

#team-members .jet-team-member__socials{
	flex-direction:column;
	align-items:flex-start;
}

/* Firmengeschichte */
.jet-carousel-wrap .slick-arrow.slick-disabled{
	opacity:0;
	cursor:default;
	pointer-events:none;
}

#geschichte-image-slider .jet-carousel__item-inner{
	flex-direction:row-reverse;
}
#geschichte-image-slider .jet-carousel__item-img{
	height:400px;
}
#geschichte-image-slider .jet-carousel__content{
	width:50%;
	display: flex;
    flex-direction: column;
    justify-content: center;
}


#timeline .jet-carousel{
		cursor:move;
	cursor:grab;
}

#timeline .jet-carousel:active{
	cursor:grabbing;
}

/* Logo Grid */

.brands-list .brands-list__item-img,
#partner-slider .slick-slide img{
	mix-blend-mode: multiply;
    filter: grayscale(100%);
    opacity: 0.8;
}
#partner-slider .slick-list{
	mix-blend-mode:multiply;
}




/* DESIGNVORSCHLÄGE – ÜBERSICHT */

.haus-teaser .btn{
    opacity:0;
    visibility:0;
}

.haus-teaser,
.haus-teaser .haus-teaser-content,
.haus-teaser .btn{
        transition:all 500ms cubic-bezier(0.180, 0.080, 0.000, 0.995);
}

.haus-teaser-content{
    margin-bottom:-30px;
}

.haus-teaser:hover .haus-teaser-content{
    margin-bottom:0px;
}


.haus-teaser:hover .btn{
    opacity:1;
    visibility:1;
}

.haus-teaser{
        transition:all 500ms cubic-bezier(0.180, 0.080, 0.000, 0.995);
}

/*
.haus-teaser{
    background-size:100% !important;
}

.haus-teaser:hover{
    background-size: 105% !important;
}
*/

/* DESIGNVORSCHLAG – contentseite */

.single-designvorschlag-content h1
.single-designvorschlag-content h2,
.single-designvorschlag-content h3,
.single-designvorschlag-content h4,
.single-designvorschlag-content h5,
.single-designvorschlag-content h6{
	font-size: 36px;
	font-weight:bold;
}

/* DESIGNVORSCHLÄGE – Fotogalerie Slider */

#haus-fotogalerie img{
        height: auto !important;
    aspect-ratio: 16/10;
    
    object-fit:cover;
    object-position: center center;
	
	cursor:move;
	cursor:grab;
}

#haus-fotogalerie img:active{
	cursor:grabbing;
}

#haus-fotogalerie .swiper-container{
            width: 250%;
    margin-left: -75%;
}

#haus-fotogalerie .elementor-swiper-button-prev {
    left: auto;
    right: calc(10% + 35px);
}

#haus-fotogalerie .elementor-swiper-button-next {
    right: 9%;
}

#haus-fotogalerie .elementor-swiper-button{
	top:-30px;
}

/* Referenzen Slider */

#slider-referenzen img{
        height: auto !important;
    aspect-ratio: 16/9;
    
    object-fit:cover;
}

#slider-referenzen .swiper-container{
        width: 130%;
    margin-left: -15%;
}


@media screen and (max-width:1024px){
    #slider-referenzen .swiper-container{
        width:200%;
        margin-left:-50%;
    }
	
	.waha-cta-box .elementor-widget-container .elementor-cta .elementor-cta__content{
		padding:20px 30px;
	}
	
	#project-slider .elementor-slides .swiper-slide-inner{
		padding:30px 20px 30px 20px;
	}
	
	.video-slider .elementor-widget-video .elementor-custom-embed-image-overlay{
		display:flex;
		justify-content:center;
	}
	
	.video-slider .elementor-widget-video .elementor-custom-embed-image-overlay img{
	    width: 580px;
		height: 450px;
		transform: translateY(15px);
	}
	
	
}

@media screen and (max-width:767px){
	#slider-referenzen .swiper-container{
        width:100%;
        margin-left:0;
    }
	
	#geschichte-image-slider .jet-carousel__item-inner{
		flex-wrap:wrap;
		justify-content:center;
	}
	
	
	.video-slider .elementor-widget-video .elementor-custom-embed-image-overlay img{
		aspect-ratio: 4/3;
		margin: 0;
		padding: 0;
		min-height: 0;
		height: auto;
		transform: scale(0.9);
	}
	
	.waha-cta-box .elementor-cta__button{
		font-size:14px;
		text-align:left;
	}
	
	/*
	.elementor-widget-video .elementor-custom-embed-image-overlay img{
		width:600px;
		height:490px;
	}
	*/
	
	
}


/* anchor scroll minus px */
body:not(.elementor-editor-active) .elementor-widget-menu-anchor {
	position: relative;
	z-index: -1;
}
body:not(.elementor-editor-active) .elementor-menu-anchor:before {
	content: "";
	display: block;
	height: 200px;
	margin: -200px 0 0;
	visibility: hidden;
	pointer-events: none;
}